# Anaplan

### Overview

The Veza integration for Anaplan enables the discovery of Users, Workspaces, Models, and User Workspace entitlements from the Anaplan platform. Veza users Anaplan APIs to populate the Access Graph with entities and metadata.

This document explains how to enable and create an Anaplan integration. See [notes and supported entities](#notes-and-supported-entities) for more details.

### Configuring Anaplan

The Veza integration for Anaplan utilizes both the [Integration API v2](https://anaplan.docs.apiary.io/#/introduction) and the [SCIM API](https://scimapi.docs.apiary.io/#/introduction/get-multiple-users/differences-to-the-scim-standard) to gather entity and entitlement metadata.

Access to the SCIM API requires a non-SSO user with the `User Admin` role assigned.

#### Create a User

To create a user, sign in to Anaplan with an account that has the `User Admin` role and follow these steps or see[ Create a new internal user](https://help.anaplan.com/create-a-new-internal-user-3589348b-48de-49e4-9f6c-595f273efb4b):

1. In **Users** > **Internal**, click **New**. The **Create new internal user** dialog displays.
2. Complete the new user dialog prompts for **First Name**, **Last Name**, and **Email Address**.
3. Click **Create user** to create the user account or click **Cancel** to cancel the account creation.
4. In the dialog, select the workspaces the user can access.
   * Click the select all box to select all the workspaces in your tenant.
5. Deselect the **Notify user when added to workspaces** to prevent additional notification emails.
6. Click **Add to Workspaces** to assign the user to the workspaces.

To assign the newly created user the `User Admin` role for use with SCIM, follow these steps or see [Assign or unassign roles for internal users](https://help.anaplan.com/assign-or-unassign-roles-for-internal-users-39f294ae-569f-4def-8ba1-040ca89d8381)

1. Access the [Administration console](https://help.anaplan.com/workspace-administration-6ed59998-91ce-4a3a-ab64-8f57d1c1ce09).
2. Go to **Access Control** > **Assignments**
3. Pick the internal user for the Veza integration from the list.
4. Click the checkbox next to User Administration role to assign it.
5. Click **Save**.

To finish the registration process, open the activation link sent to the email provided when creating the user. Record the account email and password for configuring the integration in Veza.

#### (Optional) Configure Certificate Authentication

Configuration of Certificate Authority (CA) authentication to Anaplan is outside the scope of this document. See [Security Certificates](https://help.anaplan.com/security-certificates-f1c47baa-32f0-4221-a134-089907d77d4e) for information on how to get started.

After enabling CA authentication, follow these steps or see [Manage your certificates](https://help.anaplan.com/manage-your-certificates-8c9be2de-5c55-47d7-b69a-686b09cf05f5) to register a certificate for the integration user:

1. Access [Administration](https://help.anaplan.com/workspace-administration-6ed59998-91ce-4a3a-ab64-8f57d1c1ce09) from the Application menu.
2. Select **Security > Certificates**.
3. Select **Add Certificates**.
4. Select **Choose File** to locate the .pem certificate that you want to add.
5. Select **Import Certificates**.

### Configuring Anaplan on the Veza Platform

To enable Veza to gather data from the Anaplan platform:

1. In Veza, open the Integrations page.
2. Click *Add New* and choose Anaplan as the type of integration to add.
3. Enter the requested information and *Save* the configuration.

| **Field**         | **Notes**                                                 |
| ----------------- | --------------------------------------------------------- |
| *Name*            | A unique display name for the Anaplan platform connection |
| *Username*        | The username of the account recorded above                |
| *Password*        | The password of the account recorded above                |
| *Certificate*     | The public certificate PEM file recorded above            |
| *Certificate Key* | The private key PEM file recorded above                   |

**Authentication**: Provide **either** username/password credentials or a certificate/key pair. If both are provided, this integration will use certificate authentication when connecting to Anaplan.

**Certificates**: If your certificate and key are combined in a `.p12` file, run the following commands to output them in `.pem` format:

```shell
openssl pkcs12 -in your_file.p12 -out veza_anaplan.crt.pem -clcerts -nokeys

openssl pkcs12 -in your_file.p12 -out veza_anaplan.key.pem -nocerts -nodes
```

### Notes and Supported Entities

#### Anaplan User

| **Attribute**   | **Notes**                                          |
| --------------- | -------------------------------------------------- |
| `email`         | The user's email address                           |
| `is_active`     | Boolean true if the account is not disabled        |
| `last_login_at` | The timestamp when the user account last logged on |

#### Anaplan Workspace

| **Attribute** | **Notes**                                      |
| ------------- | ---------------------------------------------- |
| `is_active`   | Boolean true if the workspaces is not archived |

#### Anaplan Model

| **Attribute**      | **Notes**                                             |
| ------------------ | ----------------------------------------------------- |
| `active_state`     | A string representation of the model's current state  |
| `last_modified_by` | The id of the user that last modified the model       |
| `workspace_id`     | The ID of the parent workspace containing the model   |
| `workspace_name`   | The name of the parent workspace containing the model |

**Note**: Anaplan APIs do not provide model permissions information. Available model metadata is gathered for display only.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.veza.com/4yItIzMvkpAvMVFAamTf/integrations/integrations/anaplan.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
